#!/bin/bash
if [ $# -ne 4 ]
  then
    echo "Incorrect arguments supplied"
    echo "Usage: ./ffmpeg_normal_latency_lambda.sh <1080p60 YUV input> <br_1080p> <br_720p> <br_480p> "
    exit 1
fi

filename=$(basename -- "$1")
filename="${filename%.*}"

lambda_file_path="/proj/ipeng/staff/umam/nobkup/u30/U30_RevB_RC5/Lambdas.hex"
out_path=/proj/ipeng/staff/umam/nobkup/u30/U30_RevB_RC5/twitchAcceptance/normalLatency/u30_normalLatency_tAQ_yuv

ffmpeg -pix_fmt yuv420p -s:v 1920x1080 -r 60 -i $1 \
-filter_complex "[0:v] split[a][b]; [a] multiscale_xma=:outputs=2: \
out_1_width=1280:out_1_height=720:out_1_pix_fmt=vcu_nv12: \
out_2_width=852:out_2_height=480:out_2_pix_fmt=vcu_nv12 [c][d] " \
-map '[b]' -r 60 -b:v "$2"K -max-bitrate "$2"K -profile:v high -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -slice-qp -1 \
-initial-delay 1 -bf 2 -g 120 -qp-mode relative-load -temporal-aq 1 -lookahead_depth 20 -filler-data disable \
-y $out_path/"${filename}"_out_1080p60_"$2"kbps.h264 \
-map '[c]' -r 60 -b:v "$3"K -max-bitrate "$3"K -profile:v main -level 3.2 -c:v mpsoc_vcu_h264 -f h264 -slice-qp -1 \
-initial-delay 1 -bf 2 -g 120 -qp-mode relative-load -temporal-aq 1 -lookahead_depth 20 -filler-data disable \
-y $out_path/"${filename}"_out_720p60_"$3"kbps.h264 \
-map '[d]' -r 30 -b:v "$4"K -max-bitrate "$4"K -profile:v main -level 3.1 -c:v mpsoc_vcu_h264 -f h264 -slice-qp -1 \
-initial-delay 1 -bf 2 -g 60 -qp-mode relative-load -temporal-aq 1 -lookahead_depth 20 -filler-data disable \
-y $out_path/"${filename}"_out_480p30_"$4"kbps.h264
