#!/bin/bash
if [ $# -ne 1 ]
  then
    echo "Incorrect arguments supplied"
    echo "Usage: ./ffmpeg_scale_transcode_x1.sh <1080p60 h264 clip>"
    exit 1
fi

./ffmpeg -c:v mpsoc_vcu_h264 -i $1 \
-filter_complex "multiscale_xma=:outputs=4: \
out_1_width=1280:out_1_height=720: out_1_pix_fmt=vcu_nv12: \
out_2_width=848:out_2_height=480:out_2_pix_fmt=vcu_nv12: \
out_3_width=640:out_3_height=360:out_3_pix_fmt=vcu_nv12: \
out_4_width=288:out_4_height=160:out_4_pix_fmt=vcu_nv12 [a][b][c][d]; [a]split[aa][ab]" \
-map '[aa]' -b:v 4M -max-bitrate 4M -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -y bbb_720p60_XMA.h264 \
-map '[ab]' -r 30 -b:v 3M -max-bitrate 3M -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -y bbb_720p30_XMA.h264 \
-map '[b]' -r 30 -b:v 2500K -max-bitrate 2500K -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -y bbb_480p30_XMA.h264 \
-map '[c]' -r 30 -b:v 1250K -max-bitrate 1250K -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -y bbb_360p30_XMA.h264 \
-map '[d]' -r 30 -b:v 625K -max-bitrate 625K -level 4.2 -c:v mpsoc_vcu_h264 -f h264 -y bbb_160p30_XMA.h264
